Bug 529316 - Field values shown for "newfstatat" system call are incorrect
Field values shown for "newfstatat" system call are incorrect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 03:38 EDT by Matt McCutchen
Modified: 2010-01-07 10:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 10:23:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt McCutchen 2009-10-16 03:38:56 EDT
Description of problem:
On my x86_64 system, most of the field values shown for the "newfstatat" system call are incorrect.  For example, "st_size" is a factor of 2^32 larger than what it should be.  This seems to affect only "newfstat", used by find(1), and not more traditional calls such as "lstat" used by stat(1).

Version-Release number of selected component (if applicable):
strace-4.5.18-2.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
echo -n '1' >size1
echo -n '1234567890' >size10
strace -e trace=newfstatat -v find * -printf ''

Actual results:
newfstatat(AT_FDCWD, "size1", {st_dev=makedev(253, 3), st_ino=1255678337, st_mode=01, st_nlink=0, st_uid=33152, st_gid=500, st_blksize=0, st_blocks=4096, st_size=4294967296, st_atime=1969/12/31-19:00:08, st_mtime=2009/10/16-03:32:17, st_ctime=0}, AT_SYMLINK_NOFOLLOW) = 0
newfstatat(AT_FDCWD, "size10", {st_dev=makedev(253, 3), st_ino=1255678337, st_mode=01, st_nlink=0, st_uid=33152, st_gid=500, st_blksize=0, st_blocks=4096, st_size=42949672960, st_atime=1969/12/31-19:00:08, st_mtime=2009/10/16-03:32:17, st_ctime=0}, AT_SYMLINK_NOFOLLOW) = 0

Expected results:
Data that matches the output of stat(1).
Comment 1 Matt McCutchen 2009-10-16 03:44:38 EDT
I just tested the upstream strace from http://sourceforge.net/projects/strace/ and it has the same problem, but it doesn't seem to have a bug tracker.
Comment 2 Andreas Schwab 2009-10-22 09:01:15 EDT
Fixed in 4.5.19-1.
Comment 3 Matt McCutchen 2009-10-22 10:23:37 EDT
Verified, the problem appears to be gone in strace-4.5.19-1.fc11.x86_64 from Koji.

Note You need to log in before you can comment on or make changes to this bug.